Package picard.sam

# Enum Class RevertSam.FileType

java.lang.Object
java.lang.Enum<RevertSam.FileType>
picard.sam.RevertSam.FileType

All Implemented Interfaces:
  `Serializable`, `Comparable<RevertSam.FileType>`, `Constable`, `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`

Enclosing class:
  RevertSam

public static enum RevertSam.FileType extends Enum<RevertSam.FileType> implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`bam`
`cram`
`dynamic`
`sam`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpDoc()`
`static RevertSam.FileType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RevertSam.FileType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### sam

public static final RevertSam.FileType sam

### bam

public static final RevertSam.FileType bam

### cram

public static final RevertSam.FileType cram

### dynamic

public static final RevertSam.FileType dynamic

## Method Details

### values

public static RevertSam.FileType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RevertSam.FileType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHelpDoc

public String getHelpDoc()

Specified by:
  `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`